/**
 * Create a scenario test server context.
 * @function serverside.context.newScenarioTestContext
 * @param {object} [context] - Predefined context object.
 * @returns {object} - Defined server context object.
 * @author Taka Okunishi
 *
 */

var object = require('../../lib/object'),
    deepCopy = object.deepCopy,
    newDevContext = require('./new_dev_context');


exports = module.exports = function (context) {
    context = newDevContext(context);

    return deepCopy(exports._constatns, context);
};

exports._constatns = require('../constants/scenario-test-constants');